### Function

# Gio DBusAnnotationInfo lookup

since: 2.26

#### Declaration [src]

    const gchar*
    g_dbus_annotation_info_lookup (
      GDBusAnnotationInfo** annotations,
      const gchar* name
    )

#### Description [src]

Looks up the value of an annotation.

The cost of this function is O(n) in number of annotations.

Available since: 2.26

#### Parameters

`annotations`

  Type: An array of `GDBusAnnotationInfo*`

  A `NULL`-terminated array of annotations or `NULL`.

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  The data is owned by the caller of the function.

`name`

  Type: `const gchar*`

  The name of the annotation to look up.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const gchar*`

The value or `NULL` if not found. Do not free, it is owned by `annotations`.

The data is owned by the called function.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.